#!/bin/bash

set -euo pipefail

name="$1"

expiry="24m"
key="$name.pgp"
cert="$name-cert.pgp"

sq key generate \
	--can-sign \
	--cannot-encrypt \
	--cannot-authenticate \
	--expiration "$expiry" \
	--rev-cert "$key.rev" \
	--output="$key" \
	--own-key \
	--without-password \
	--userid "apt.liw.fi archive signing key <liw@liw.fi>"
rm "$key.rev"
sq key delete --cert-file="$key" --output="$cert"
